ps_astar_s Struct Reference

A* search structure. More...

`#include <ps_lattice_internal.h>`

## Data Fields

ps_lattice_t * | dag
ngram_model_t * | lmset
float32 | lwf
frame_idx_t | sf
frame_idx_t | ef
int32 | w1
int32 | w2
int32 | n_hyp_tried
int32 | n_hyp_insert
int32 | n_hyp_reject
int32 | insert_depth
int32 | n_path
ps_latpath_t * | path_list
ps_latpath_t * | path_tail
ps_latpath_t * | top
glist_t | hyps
| List of hypothesis strings.
listelem_alloc_t * | latpath_alloc
| Path allocator for N-best search.

## Detailed Description

A* search structure.

Definition at line 163 of file ps_lattice_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_lattice_internal.h